classification
Title: test_multiprocessing_forkserver hangs on AMD64 FreeBSD CURRENT Debug 3.x
Type: Stage: resolved
Components: Tests Versions: Python 3.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: vstinner
Priority: normal Keywords:

Created on 2017-07-04 15:10 by vstinner, last changed 2017-09-15 16:37 by vstinner. This issue is now closed.

Messages (4)
msg297671 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-04 15:10
http://buildbot.python.org/all/builders/AMD64%20FreeBSD%20CURRENT%20Debug%203.x/builds/546/steps/test/logs/stdio

...
0:23:06 load avg: 0.73 [402/406] test_multiprocessing_fork passed (84 sec) -- running: test_multiprocessing_forkserver (287 sec)
0:23:06 load avg: 0.73 [403/406] test_yield_from passed -- running: test_multiprocessing_forkserver (288 sec)
0:23:07 load avg: 0.73 [404/406] test_codecencodings_kr passed -- running: test_multiprocessing_forkserver (288 sec)
0:23:09 load avg: 0.84 [405/406] test_urllib2_localnet passed -- running: test_multiprocessing_forkserver (291 sec)

command timed out: 1200 seconds without output running ['make', 'buildbottest', 'TESTOPTS=-j2', 'TESTPYTHONOPTS=', 'TESTTIMEOUT=900'], attempting to kill
process killed by signal 9
program finished with exit code -1
elapsedTime=2591.955936
msg297672 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-04 15:11
This buildbot run uses --timeout=900, so test_multiprocessing_forkserver was supposed to be killed after 15 minutes by faulthandler, but buildbot had to kill it after 20 min. Moreover, the main regrtest process is supposed to log "running: ..." messages every 30 secondes, it didn't...
msg299087 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-25 14:15
AMD64 FreeBSD 10.x Shared 3.x:

http://buildbot.python.org/all/builders/AMD64%20FreeBSD%2010.x%20Shared%203.x/builds/621/steps/test/logs/stdio

...
0:11:00 load avg: 2.57 [403/406] test_asyncio passed -- running: test_concurrent_futures (31 sec), test_multiprocessing_fork (660 sec)
0:11:01 load avg: 2.44 [404/406] test_fstring passed -- running: test_concurrent_futures (33 sec), test_multiprocessing_fork (662 sec)
running: test_concurrent_futures (63 sec), test_multiprocessing_fork (692 sec)
0:11:34 load avg: 1.63 [405/406] test_concurrent_futures passed (65 sec) -- running: test_multiprocessing_fork (694 sec)

command timed out: 1200 seconds without output running ['make', 'buildbottest', 'TESTOPTS=-j2 -j4', 'TESTPYTHONOPTS=', 'TESTTIMEOUT=900'], attempting to kill
process killed by signal 9
program finished with exit code -1
elapsedTime=1895.710260
msg302270 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-09-15 16:37
I didn't see this failure last month. I hope that my work on threads cleanup will reduce the risk of such bug: bpo-31234. I close the issue.
History
Date User Action Args
2017-09-15 16:37:10vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg302270

stage: resolved
2017-07-25 14:15:14vstinnersetmessages: + msg299087
2017-07-04 15:11:52vstinnersetmessages: + msg297672
2017-07-04 15:10:18vstinnercreate